petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCopyLabels

Copy labels from one mesh to another with a superset of the points

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyLabels(DM dmA, DM dmB)

Collective on DM

### Input Parameter

dmA -The DM object with initial labels

### Output Parameter

dmB -The DM object with copied labels

Note: This is typically used when interpolating or otherwise adding to a mesh

### Keywords

mesh

### See Also

DMCopyCoordinates(), DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMGetCoordinateSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages